aboutsummaryrefslogtreecommitdiff
path: root/sci
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-09 21:01:00 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-09 21:01:00 +0000
commitdc375697a45ca0cab701c7b14a98393b59ea68b5 (patch)
treeb9816e1abd9191e94e5ff1a3f4698ab60550d076 /sci
parenteaa7953a9aae1b0efa889f8c88e0aedce4ba974e (diff)
downloadslackbuilds-dc375697a45ca0cab701c7b14a98393b59ea68b5.tar.gz
slackbuilds-dc375697a45ca0cab701c7b14a98393b59ea68b5.tar.bz2
sdl-image: adicionando
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1142 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sci')
-rwxr-xr-xsci/visualization/grace/grace.SlackBuild227
-rw-r--r--sci/visualization/grace/slack-required4
2 files changed, 112 insertions, 119 deletions
diff --git a/sci/visualization/grace/grace.SlackBuild b/sci/visualization/grace/grace.SlackBuild
index a84acbb1..f2294b40 100755
--- a/sci/visualization/grace/grace.SlackBuild
+++ b/sci/visualization/grace/grace.SlackBuild
@@ -1,127 +1,112 @@
#!/bin/bash
#
-# slackbuild for lame, by Rudson R. Alves
-# requires: none
-# tested: grace-5.1.20
-
-CWD=`pwd`
+# SlackBuild for grace
+# ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/
+#
+# Author: Rudson R. Alves
+#
-if [ -e ~/.slackbuildrc ]; then
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
-elif [ -e /etc/slackbuildrc ]; then
+elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="grace-5.1.20.tar.gz"
-MD5_ORIG="37bdb28b9e30b8e5061ed3f8e0ab9168"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH=${ARCH:=i486}
-VERSION=$VERSION_ORIG
-SRC_DIR=${SRC:=$CWD}
-SRC=$PACKAGE-$VERSION.$EXTENSION
-BUILD=${BUILD:=1rud}
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="grace"
+PKG_NAME="grace"
+ARCH=${ARCH:=i468}
+SRC_VERSION=${VERSION:=5.1.20}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/opt}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/$SRC"}
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- wget "$URL" -P "$SRC_DIR/$PACKAGE/" || exit $ERROR_WGET
-fi
+PREFIX=${PREFIX:=/usr/local}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j4"}
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- [ "$SUM" != "$MD5" ] && exit $ERROR_MD5
-fi
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
-# ----------------- ARCH e LIBDIR -----------------------
-# Libdir, para arch x86_64
-LIBDIR=$PREFIX/lib
-# Seleciona flags para o compilador
if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
+ SLKCFLAGS="-O2 -march=i686"
elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
fi
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC || exit $ERROR_TAR
-
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
-cd $PKG_DIR
-
-# -------------- Configura programa ---------------------
-# Configura programa
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF || exit $ERROR_CONF
-
-# ---------------- Compila programa ---------------------
-make || exit $ERROR_MAKE
-
-# ------------- Diretório Temporário --------------------
-# Cria diretório temporário para construção do pacote
-PKG=$TMP/$PACKAGE
-rm -rf $PKG
-mkdir -p $PKG
-
-# --------------- Instala programa ----------------------
-# Instala programa em diretório temporário
-make install DESTDIR=$PKG || exit $ERROR_INSTALL
-
-# ------------ Cria links e instala manuais -------------
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+URL="ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
# Links
-mkdir -p $PKG/usr/bin
+mkdir -p $PKG/$PREFIX/bin
+cd $PKG/$PREFIX/bin
for i in convcal fdf2fit grconvert xmgrace; do
- ln -s $PREFIX/$PACKAGE/bin/$i /usr/bin/$i
+ ln -s ../$PKG_NAME/bin/$i $i
done
+cd -
-# Manuais
+# Manual pages
mkdir -p $PKG/usr/man/man1
-cp $PKG_DIR/doc/*.1 $PKG/usr/man/man1/
+cp $PKG_SRC/doc/*.1 $PKG/usr/man/man1/
gzip $PKG/usr/man/man1/*
-# Cria grace.desktop
+# Make grace.desktop
mkdir -p $PKG/usr/share/applications
cat << EOF_KDE > $PKG/usr/share/applications/Grace.desktop
[Desktop Entry]
Encoding=UTF-8
Categories=Graphics;
Exec=xmgrace
-Icon=$PREFIX/$PACKAGE/doc/mygraph.png
+Icon=$PREFIX/$PKG_NAME/doc/mygraph.png
StartupNotify=true
Terminal=false
Type=Application
@@ -130,23 +115,31 @@ GenericName=Grace
Comment=
EOF_KDE
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > $PKG/install/slack-desc
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="LICENSE README CHANGES DEVELOPERS ChangeLog COPYRIGHT"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
- |--------handy-ruler-----------------------------------------------------|
-grace: Package Grace $VERSION, by Rudson R. Alves
+ |-----handy-ruler-------------------------------------------------------|
+grace: Package Grace $VERSION, by Slack.Sarava
grace:
grace: Grace is a WYSIWYG 2D plotting tool for the X Window System and M*tif.
grace: Grace runs on practically any version of Unix-like OS. As well, it has
@@ -157,18 +150,14 @@ grace: Grace is a descendant of ACE/gr, also known as Xmgr.
grace:
grace:
grace:
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_DIR/{CHANGES,COPYRIGHT,ChangeLog,DEVELOPERS,LICENSE,README} $PKG_DOC
+EODESC
-# --------------- Constroi o pacote ---------------------
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- rm -rf $PKG $PKG_SRC
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
fi
+
diff --git a/sci/visualization/grace/slack-required b/sci/visualization/grace/slack-required
index 3b527da4..deb0efb8 100644
--- a/sci/visualization/grace/slack-required
+++ b/sci/visualization/grace/slack-required
@@ -1,2 +1,6 @@
+# Dependency list to dvdauthor
+#
+# dependency [condition] [version]]
libpng
fftw
+